package org.xbib.interlibrary.ldap;

import org.xbib.interlibrary.api.library.LibraryGroups;
import org.xbib.interlibrary.api.library.LibraryGroupsProvider;
import org.xbib.interlibrary.api.library.LibraryLocations;
import org.xbib.interlibrary.api.library.LibraryLocationsProvider;
import org.xbib.settings.Settings;

public class Provider {

    public Provider() {
    }

    public static class LdapLibraryGroupsProvider implements LibraryGroupsProvider {

        private Settings settings;

        public LdapLibraryGroupsProvider() {
        }

        @Override
        public LibraryGroupsProvider init(Settings settings) {
            this.settings = settings;
            return this;
        }

        @Override
        public LibraryGroups getLibraryGroups() {
            return new LdapLibraryGroups(settings);
        }
    }

    public static class LdapLibraryLocationsProvider implements LibraryLocationsProvider {

        private Settings settings;

        public LdapLibraryLocationsProvider() {
        }

        @Override
        public LibraryLocationsProvider init(Settings settings) {
            this.settings = settings;
            return this;
        }

        @Override
        public LibraryLocations getLibraryLocations() {
            return new LdapLibraryLocations(settings);
        }
    }

}
