package org.xbib.interlibrary.ldap.util;

import java.util.Collection;
import java.util.Map;
import javax.naming.directory.Attributes;
import javax.naming.directory.BasicAttribute;
import javax.naming.directory.BasicAttributes;

public class Add {

    private final String dn;

    private final Map<String, Object> map;

    public Add(String dn, Map<String, Object> map) {
        this.dn = dn;
        this.map = map;
    }

    public String getName() {
        return dn;
    }

    public Attributes getAttributes() {
        Attributes attributes = new BasicAttributes();
        for (Map.Entry<String, Object> entry : map.entrySet()) {
            BasicAttribute attribute = new BasicAttribute(entry.getKey());
            Object object = entry.getValue();
            if (object instanceof Collection<?> collection) {
                for (Object o : collection) {
                    attribute.add(o);
                }
            } else {
                attribute.add(object);
            }
            attributes.put(attribute);
        }
        return attributes;
    }
}
